Bug 1224819 - [abrt] network-manager-applet: nm_client_networking_set_enabled(): nm-applet killed by SIGSEGV
Summary: [abrt] network-manager-applet: nm_client_networking_set_enabled(): nm-applet ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: network-manager-applet
Version: 22
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:98276324146cb5064aae96d1648...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-25 22:59 UTC by deadrat
Modified: 2015-10-04 22:52 UTC (History)
2 users (show)

Fixed In Version: network-manager-applet-1.0.6-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-04 22:52:35 UTC


Attachments (Terms of Use)
File: backtrace (26.34 KB, text/plain)
2015-05-25 22:59 UTC, deadrat
no flags Details
File: cgroup (320 bytes, text/plain)
2015-05-25 22:59 UTC, deadrat
no flags Details
File: core_backtrace (9.63 KB, text/plain)
2015-05-25 22:59 UTC, deadrat
no flags Details
File: dso_list (10.01 KB, text/plain)
2015-05-25 22:59 UTC, deadrat
no flags Details
File: environ (1.21 KB, text/plain)
2015-05-25 22:59 UTC, deadrat
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-25 22:59 UTC, deadrat
no flags Details
File: maps (32.67 KB, text/plain)
2015-05-25 22:59 UTC, deadrat
no flags Details
File: mountinfo (3.15 KB, text/plain)
2015-05-25 22:59 UTC, deadrat
no flags Details
File: namespaces (85 bytes, text/plain)
2015-05-25 22:59 UTC, deadrat
no flags Details
File: open_fds (763 bytes, text/plain)
2015-05-25 23:00 UTC, deadrat
no flags Details
File: proc_pid_status (787 bytes, text/plain)
2015-05-25 23:00 UTC, deadrat
no flags Details
File: var_log_messages (618 bytes, text/plain)
2015-05-25 23:00 UTC, deadrat
no flags Details

Description deadrat 2015-05-25 22:59:42 UTC
Description of problem:
i just tried to connect to wifi, 

Version-Release number of selected component:
network-manager-applet-1.0.0-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        nm-applet
crash_function: nm_client_networking_set_enabled
executable:     /usr/bin/nm-applet
global_pid:     3767
kernel:         4.0.0-0.rc5.git4.1.fc22.i686
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nm_client_networking_set_enabled at nm-client.c:1097
 #6 gtk_check_menu_item_toggled at gtkcheckmenuitem.c:378
 #7 gtk_check_menu_item_activate at gtkcheckmenuitem.c:513
 #8 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:905
 #9 g_type_class_meta_marshalv at gclosure.c:988
 #10 _g_closure_invoke_va at gclosure.c:831
 #13 gtk_widget_activate at gtkwidget.c:7820
 #14 gtk_menu_shell_activate_item at gtkmenushell.c:1380
 #15 gtk_menu_shell_button_release at gtkmenushell.c:792
 #16 gtk_menu_button_release at gtkmenu.c:3467

Comment 1 deadrat 2015-05-25 22:59:46 UTC
Created attachment 1029678 [details]
File: backtrace

Comment 2 deadrat 2015-05-25 22:59:47 UTC
Created attachment 1029679 [details]
File: cgroup

Comment 3 deadrat 2015-05-25 22:59:49 UTC
Created attachment 1029680 [details]
File: core_backtrace

Comment 4 deadrat 2015-05-25 22:59:51 UTC
Created attachment 1029681 [details]
File: dso_list

Comment 5 deadrat 2015-05-25 22:59:52 UTC
Created attachment 1029682 [details]
File: environ

Comment 6 deadrat 2015-05-25 22:59:54 UTC
Created attachment 1029683 [details]
File: limits

Comment 7 deadrat 2015-05-25 22:59:56 UTC
Created attachment 1029684 [details]
File: maps

Comment 8 deadrat 2015-05-25 22:59:58 UTC
Created attachment 1029685 [details]
File: mountinfo

Comment 9 deadrat 2015-05-25 22:59:59 UTC
Created attachment 1029686 [details]
File: namespaces

Comment 10 deadrat 2015-05-25 23:00:01 UTC
Created attachment 1029687 [details]
File: open_fds

Comment 11 deadrat 2015-05-25 23:00:02 UTC
Created attachment 1029688 [details]
File: proc_pid_status

Comment 12 deadrat 2015-05-25 23:00:04 UTC
Created attachment 1029689 [details]
File: var_log_messages

Comment 13 Jirka Klimes 2015-05-26 14:10:51 UTC
This is strange because dbus_g_proxy_call() should set GError on error. But apparently there's a case when the error is not set.

Anyway, I pushed a fix upstream:
f46eb1f libnm-glib: do not access NULL GError variable (rh #1224819)  master
394a867 libnm-glib: do not access NULL GError variable (rh #1224819)  nm-1-0
3a193f7 libnm-glib: do not access NULL GError variable (rh #1224819)  nm-0-9-10

Comment 14 deadrat 2015-05-26 22:17:10 UTC
(In reply to Jirka Klimes from comment #13)
> This is strange because dbus_g_proxy_call() should set GError on error. But
> apparently there's a case when the error is not set.
> 
> Anyway, I pushed a fix upstream:
> f46eb1f libnm-glib: do not access NULL GError variable (rh #1224819)  master
> 394a867 libnm-glib: do not access NULL GError variable (rh #1224819)  nm-1-0
> 3a193f7 libnm-glib: do not access NULL GError variable (rh #1224819) 
> nm-0-9-10

Thanks.

Comment 15 Fedora Update System 2015-06-25 14:25:25 UTC
network-manager-applet-1.0.4-0.1.git20160615.28a0e28.fc22, NetworkManager-1.0.4-0.1.git20160624.f245b49a.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/network-manager-applet-1.0.4-0.1.git20160615.28a0e28.fc22,NetworkManager-1.0.4-0.1.git20160624.f245b49a.fc22

Comment 16 Fedora Update System 2015-06-26 06:42:41 UTC
Package network-manager-applet-1.0.4-0.1.git20160615.28a0e28.fc22, NetworkManager-1.0.4-0.1.git20160624.f245b49a.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-0.1.git20160615.28a0e28.fc22 NetworkManager-1.0.4-0.1.git20160624.f245b49a.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/network-manager-applet-1.0.4-0.1.git20160615.28a0e28.fc22,NetworkManager-1.0.4-0.1.git20160624.f245b49a.fc22
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2015-07-10 19:07:13 UTC
Package NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22, network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22 network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22,network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2015-07-14 15:45:04 UTC
Package NetworkManager-1.0.4-0.4.git20150713.38bf2cb0.fc22, network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-1.0.4-0.4.git20150713.38bf2cb0.fc22 network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-0.4.git20150713.38bf2cb0.fc22,network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2015-07-18 02:10:03 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.4-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.4-1.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-1.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2015-07-29 01:58:28 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.4-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.4-2.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-2.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 21 Fedora Update System 2015-08-15 02:19:02 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.6-0.1.20150813git7e2caa2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.6-0.1.20150813git7e2caa2.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.6-0.1.20150813git7e2caa2.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 22 Fedora Update System 2015-08-19 08:08:11 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 23 Fedora Update System 2015-08-22 02:52:17 UTC
NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22, network-manager-applet-1.0.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update NetworkManager network-manager-applet'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 24 Fedora Update System 2015-08-23 01:49:19 UTC
NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22, network-manager-applet-1.0.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update network-manager-applet NetworkManager'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 25 Fedora Update System 2015-09-02 16:21:54 UTC
NetworkManager-1.0.6-2.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update network-manager-applet NetworkManager-openvpn NetworkManager-vpnc NetworkManager NetworkManager-openswan'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 26 Fedora Update System 2015-09-08 11:14:54 UTC
NetworkManager-1.0.6-3.fc22 NetworkManager-openswan-1.0.6-2.fc22 NetworkManager-openvpn-1.0.6-3.fc22 NetworkManager-vpnc-1.0.6-3.fc22 network-manager-applet-1.0.6-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 27 Fedora Update System 2015-09-08 21:26:35 UTC
NetworkManager-1.0.6-4.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update network-manager-applet NetworkManager NetworkManager-openvpn NetworkManager-openswan NetworkManager-vpnc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 28 Fedora Update System 2015-09-28 21:00:34 UTC
NetworkManager-1.0.6-6.fc22 NetworkManager-openswan-1.0.6-2.fc22 NetworkManager-openvpn-1.0.6-3.fc22 NetworkManager-vpnc-1.0.6-3.fc22 network-manager-applet-1.0.6-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 29 Fedora Update System 2015-10-02 03:49:19 UTC
NetworkManager-1.0.6-6.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update NetworkManager-openswan network-manager-applet NetworkManager NetworkManager-openvpn NetworkManager-vpnc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 30 Fedora Update System 2015-10-04 22:52:05 UTC
NetworkManager-1.0.6-6.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.